Page MenuHomePhabricator

Fix Title.php "PHP Fatal: String length exceeded 2^31-2: 2147483647"
Closed, ResolvedPublic

Description

Following deployment of Ic85d27d795, this comes up a fair bit in fatal.log.

2015-04-11 11:54:30 mw1057 metawiki: [56b82e1c] /wiki/Steward_requests/Global_permissions/2011-05
   ErrorException from line 262 of /srv/mediawiki/php-1.25wmf24/includes/exception/MWExceptionHandler.php:
 Fatal Error: String length exceeded 2^31-2: 2147483647
#0 (): MWExceptionHandler::handleFatalError()
#1 {main}
$ tail -n5000 -f fatal.log | grep 'Title.php: PHP Fatal' 
2015-04-11 11:26:11 mw1243 ruwiki: [b55f0a5b] /wiki/%D0%A1%D0%BB%D1%83%D0%B6%D0%B5%D0%B1%D0%BD%D0%B0%D1%8F:%D0%9F%D1%80%D0%B0%D0%B2%D0%B8%D1%82%D1%8C_%D1%81%D0%BF%D0%B8%D1%81%D0%BE%D0%BA_%D0%BD%D0%B0%D0%B1%D0%BB%D1%8E%D0%B4%D0%B5%D0%BD%D0%B8%D1%8F/clear   ErrorException from line 215 of /srv/mediawiki/php-1.25wmf24/includes/Title.php: PHP Fatal: request has exceeded memory limit
2015-04-11 11:26:54 mw1240 ruwiki: [210c178b] /wiki/%D0%A1%D0%BB%D1%83%D0%B6%D0%B5%D0%B1%D0%BD%D0%B0%D1%8F:%D0%9F%D1%80%D0%B0%D0%B2%D0%B8%D1%82%D1%8C_%D1%81%D0%BF%D0%B8%D1%81%D0%BE%D0%BA_%D0%BD%D0%B0%D0%B1%D0%BB%D1%8E%D0%B4%D0%B5%D0%BD%D0%B8%D1%8F/clear   ErrorException from line 215 of /srv/mediawiki/php-1.25wmf24/includes/Title.php: PHP Fatal: request has exceeded memory limit
2015-04-11 11:30:33 mw1070 ruwiki: [9946a498] /wiki/%D0%A1%D0%BB%D1%83%D0%B6%D0%B5%D0%B1%D0%BD%D0%B0%D1%8F:%D0%9F%D1%80%D0%B0%D0%B2%D0%B8%D1%82%D1%8C_%D1%81%D0%BF%D0%B8%D1%81%D0%BE%D0%BA_%D0%BD%D0%B0%D0%B1%D0%BB%D1%8E%D0%B4%D0%B5%D0%BD%D0%B8%D1%8F/clear   ErrorException from line 215 of /srv/mediawiki/php-1.25wmf24/includes/Title.php: PHP Fatal: request has exceeded memory limit
2015-04-11 11:31:06 mw1197 ruwiki: [b03ddf42] /w/api.php   ErrorException from line 264 of /srv/mediawiki/php-1.25wmf24/includes/Title.php: PHP Fatal: String length exceeded 2^31-2: 2147483647
2015-04-11 11:32:01 mw1058 ruwiki: [8a023db6] /wiki/%D0%A1%D0%BB%D1%83%D0%B6%D0%B5%D0%B1%D0%BD%D0%B0%D1%8F:%D0%9F%D1%80%D0%B0%D0%B2%D0%B8%D1%82%D1%8C_%D1%81%D0%BF%D0%B8%D1%81%D0%BE%D0%BA_%D0%BD%D0%B0%D0%B1%D0%BB%D1%8E%D0%B4%D0%B5%D0%BD%D0%B8%D1%8F/clear   ErrorException from line 215 of /srv/mediawiki/php-1.25wmf24/includes/Title.php: PHP Fatal: request has exceeded memory limit
2015-04-11 11:32:36 mw1010 itwiki: [b00678b1] /rpc/RunJobs.php?wiki=itwiki&type=refreshLinks&maxtime=30&maxmem=300M   ErrorException from line 264 of /srv/mediawiki/php-1.25wmf24/includes/Title.php: PHP Fatal: String length exceeded 2^31-2: 2147483647
2015-04-11 11:33:45 mw1253 ruwiki: [3ee95067] /wiki/%D0%A1%D0%BB%D1%83%D0%B6%D0%B5%D0%B1%D0%BD%D0%B0%D1%8F:%D0%9F%D1%80%D0%B0%D0%B2%D0%B8%D1%82%D1%8C_%D1%81%D0%BF%D0%B8%D1%81%D0%BE%D0%BA_%D0%BD%D0%B0%D0%B1%D0%BB%D1%8E%D0%B4%D0%B5%D0%BD%D0%B8%D1%8F/clear   ErrorException from line 215 of /srv/mediawiki/php-1.25wmf24/includes/Title.php: PHP Fatal: request has exceeded memory limit
2015-04-11 11:37:08 mw1092 commonswiki: [873a0e3a] /wiki/File:Jean-Paul_Flandrin_-_Odalisque_with_Slave_-_Walters_37887.jpg?uselang=fa   ErrorException from line 264 of /srv/mediawiki/php-1.25wmf24/includes/Title.php: PHP Fatal: String length exceeded 2^31-2: 2147483647
2015-04-11 11:37:32 mw1176 commonswiki: [759d8f6c] /wiki/File:Jean-Paul_Flandrin_-_Odalisque_with_Slave_-_Walters_37887.jpg?uselang=fa   ErrorException from line 264 of /srv/mediawiki/php-1.25wmf24/includes/Title.php: PHP Fatal: String length exceeded 2^31-2: 2147483647
2015-04-11 11:44:56 mw1070 metawiki: [0a433c56] /wiki/Steward_requests/Global_permissions/2011-05   ErrorException from line 264 of /srv/mediawiki/php-1.25wmf24/includes/Title.php: PHP Fatal: String length exceeded 2^31-2: 2147483647
2015-04-11 11:45:28 mw1106 metawiki: [6aefa80a] /wiki/Steward_requests/Global_permissions/2011-05   ErrorException from line 264 of /srv/mediawiki/php-1.25wmf24/includes/Title.php: PHP Fatal: String length exceeded 2^31-2: 2147483647
2015-04-11 11:54:00 mw1172 metawiki: [3cb6106d] /wiki/Steward_requests/Global_permissions/2011-05   ErrorException from line 264 of /srv/mediawiki/php-1.25wmf24/includes/Title.php: PHP Fatal: String length exceeded 2^31-2: 2147483647
2015-04-11 11:54:30 mw1057 metawiki: [7cbbf6cf] /wiki/Steward_requests/Global_permissions/2011-05   ErrorException from line 264 of /srv/mediawiki/php-1.25wmf24/includes/Title.php: PHP Fatal: String length exceeded 2^31-2: 2147483647
2015-04-11 11:59:06 mw1114 arwiki: [7a203a43] /w/api.php   ErrorException from line 264 of /srv/mediawiki/php-1.25wmf24/includes/Title.php: PHP Fatal: String length exceeded 2^31-2: 2147483647
2015-04-11 11:59:14 mw1198 arwiki: [385c15af] /w/api.php   ErrorException from line 264 of /srv/mediawiki/php-1.25wmf24/includes/Title.php: PHP Fatal: String length exceeded 2^31-2: 2147483647

Consistently reproducible on https://meta.wikimedia.org/wiki/Steward_requests/Global_permissions/2011-05.

Event Timeline

Krinkle created this task.Apr 11 2015, 12:00 PM
Krinkle claimed this task.
Krinkle raised the priority of this task from to Needs Triage.
Krinkle updated the task description. (Show Details)
Krinkle added subscribers: Krinkle, Krenair, demon.
Restricted Application added a subscriber: Aklapper. · View Herald TranscriptApr 11 2015, 12:00 PM
Krinkle updated the task description. (Show Details)Apr 11 2015, 12:00 PM
Krinkle set Security to None.

Change 203393 had a related patch set uploaded (by Krinkle):
Title: Restrict debug log size by using wfGetAllCallers(5)

https://gerrit.wikimedia.org/r/203393

Change 203392 had a related patch set uploaded (by Krinkle):
Title: Restrict debug log size by using wfGetAllCallers(5)

https://gerrit.wikimedia.org/r/203392

Krinkle updated the task description. (Show Details)Apr 11 2015, 12:08 PM

Change 203392 merged by jenkins-bot:
Title: Restrict debug log size by using wfGetAllCallers(5)

https://gerrit.wikimedia.org/r/203392

Change 203393 merged by jenkins-bot:
Title: Restrict debug log size by using wfGetAllCallers(5)

https://gerrit.wikimedia.org/r/203393

Krinkle closed this task as Resolved.Apr 11 2015, 12:29 PM
Krinkle triaged this task as Normal priority.
Krinkle removed a project: Patch-For-Review.
Krinkle removed a subscriber: gerritbot.
mmodell changed the subtype of this task from "Task" to "Production Error".Aug 28 2019, 11:12 PM